# TODO
# - client/daemon package split like ntp.spec
Summary:	FREE and easy to use implementation of the Network Time Protocol
Summary(pl.UTF-8):	Wolnodostępna i łatwa w użyciu implementacja protokołu NTP
Name:		openntpd
Version:	3.9p1
Release:	7
License:	BSD
Group:		Daemons
Source0:	ftp://ftp.openbsd.org/pub/OpenBSD/OpenNTPD/%{name}-%{version}.tar.gz
# Source0-md5:	afc34175f38d08867c1403d9008600b3
Source1:	%{name}.init
Source2:	%{name}.sysconfig
URL:		http://www.openntpd.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	openssl-devel
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
Provides:	ntpclient
Provides:	ntpdaemon
Obsoletes:	ntpclient
Obsoletes:	ntpdaemon
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
OpenNTPD is a FREE, easy to use implementation of the Network Time
Protocol.

It provides the ability to sync the local clock to remote NTP servers
and can act as NTP server itself, redistributing the local clock.

%description -l pl.UTF-8
OpenNTPD to wolnodostępna, łatwa w użyciu implementacja protokołu NTP
(Network Time Protocol).

Daje możliwość synchronizacji lokalnego zegara ze zdalnymi serwerami
NTP i może działać samemu jako serwer NTP, rozpowszechniając lokalny
zegar.

%prep
%setup -q

%build
cp -f /usr/share/automake/config.sub .
%{__gettextize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%configure \
	--with-adjtimex \
	--with-privsep-path=/usr/share/empty \
	--with-mantype=man \
	--with-privsep-user=nobody

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{sysconfig,rc.d/init.d}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -p %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/ntpd
cp -a %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/ntpd

%post
/sbin/chkconfig --add ntpd
%service ntpd restart "OpenNTP Daemon"

%preun
if [ "$1" = "0" ]; then
	%service ntpd stop
	/sbin/chkconfig --del ntpd
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README ChangeLog
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man?/*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ntpd.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/ntpd
%attr(754,root,root) /etc/rc.d/init.d/ntpd
%changelog
* Sat Jul 20 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/openntpd.git;a=log;h=master

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> b07ddfd
- release 7

* Mon Apr 12 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 58e4fba
- release 6

* Fri Jan 22 2010 Elan Ruusamäe <glen@pld-linux.org> 4c5ec56
- O/P in non-conflicting way; rel 5

* Mon Jan 11 2010 Elan Ruusamäe <glen@pld-linux.org> 16d6ad2
- arekm: drop Obsoletes then too! Otherwise poldek will think that this pkg replaces ntp.spec
- rel 4

* Mon Jan 11 2010 Elan Ruusamäe <glen@pld-linux.org> 88f4bf9
- cosmetics

* Mon Jan 11 2010 Elan Ruusamäe <glen@pld-linux.org> 5dd28c4
- do NOT provide real package names, breaks upgrade path (sudden ntp -> openttp "migration"); rel 3

* Thu Nov 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 6efafb6
- rel 2; P ntp/ntp-client

* Mon Aug 27 2007 Elan Ruusamäe <glen@pld-linux.org> ccf88b1
- use condrestart, suggested by qboosh

* Mon Aug 27 2007 Elan Ruusamäe <glen@pld-linux.org> 62ed626
- use %service

* Mon Aug 27 2007 Elan Ruusamäe <glen@pld-linux.org> 4ec2d9b
- use functions

* Sat Jun 30 2007 areq <areq@pld-linux.org> 5f5090b
- Release 1

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 7bcdf89
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 7f7d4a4
- converted to UTF-8

* Sat Aug 12 2006 ankry <ankry@pld-linux.org> 979e97e
- formatting

* Wed May 17 2006 areq <areq@pld-linux.org> e0d72ba
- 3.9p1

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> f38b350
- orphaned, outdated

* Thu Dec 08 2005 Elan Ruusamäe <glen@pld-linux.org> 9c659fa
- remove remnants from template.init

* Sun Dec 04 2005 Elan Ruusamäe <glen@pld-linux.org> d35ead4
- adapterized (sorted verify flags)

* Sun Jun 05 2005 Jakub Bogusz <qboosh@pld-linux.org> cf9d8ad
- outdated

* Sun Jun 05 2005 areq <areq@pld-linux.org> 6169d97
- 3.7p1
- outdated pollerr.patch

